package org.wso2.carbon.device.mgt.ios.payload.beans;

import java.util.List;

public class EAPClientConfiguration {

    private String username;
    private List<Integer> acceptEAPTypes;
    private String userPassword;
    private Boolean oneTimePassword;
    private List<String> payloadCertificateAnchorUUID;
    private List<String> TLSTrustedServerNames;
    private Boolean TLSAllowTrustExceptions;
    private Boolean TLSCertificateIsRequired;
    private String TTLSInnerAuthentication;
    private String outerIdentity;

    //The EAP-FAST module uses the following properties in the EAPClientConfiguration dictionary.
    private Boolean EAPFASTUsePAC;
    private Boolean EAPFASTProvisionPAC;
    private Boolean EAPFASTProvisionPACAnonymously;
    private Integer EAPSIMNumberOfRANDs;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public List<Integer> getAcceptEAPTypes() {
        return acceptEAPTypes;
    }

    public void setAcceptEAPTypes(List<Integer> acceptEAPTypes) {
        this.acceptEAPTypes = acceptEAPTypes;
    }

    public String getUserPassword() {
        return userPassword;
    }

    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }

    public Boolean getOneTimePassword() {
        return oneTimePassword;
    }

    public void setOneTimePassword(Boolean oneTimePassword) {
        this.oneTimePassword = oneTimePassword;
    }

    public List<String> getPayloadCertificateAnchorUUID() {
        return payloadCertificateAnchorUUID;
    }

    public void setPayloadCertificateAnchorUUID(List<String> payloadCertificateAnchorUUID) {
        this.payloadCertificateAnchorUUID = payloadCertificateAnchorUUID;
    }

    public List<String> getTLSTrustedServerNames() {
        return TLSTrustedServerNames;
    }

    public void setTLSTrustedServerNames(List<String> TLSTrustedServerNames) {
        this.TLSTrustedServerNames = TLSTrustedServerNames;
    }

    public Boolean getTLSAllowTrustExceptions() {
        return TLSAllowTrustExceptions;
    }

    public void setTLSAllowTrustExceptions(Boolean TLSAllowTrustExceptions) {
        this.TLSAllowTrustExceptions = TLSAllowTrustExceptions;
    }

    public Boolean getTLSCertificateIsRequired() {
        return TLSCertificateIsRequired;
    }

    public void setTLSCertificateIsRequired(Boolean TLSCertificateIsRequired) {
        this.TLSCertificateIsRequired = TLSCertificateIsRequired;
    }

    public String getTTLSInnerAuthentication() {
        return TTLSInnerAuthentication;
    }

    public void setTTLSInnerAuthentication(String TTLSInnerAuthentication) {
        this.TTLSInnerAuthentication = TTLSInnerAuthentication;
    }

    public String getOuterIdentity() {
        return outerIdentity;
    }

    public void setOuterIdentity(String outerIdentity) {
        this.outerIdentity = outerIdentity;
    }

    public Boolean getEAPFASTUsePAC() {
        return EAPFASTUsePAC;
    }

    public void setEAPFASTUsePAC(Boolean EAPFASTUsePAC) {
        this.EAPFASTUsePAC = EAPFASTUsePAC;
    }

    public Boolean getEAPFASTProvisionPAC() {
        return EAPFASTProvisionPAC;
    }

    public void setEAPFASTProvisionPAC(Boolean EAPFASTProvisionPAC) {
        this.EAPFASTProvisionPAC = EAPFASTProvisionPAC;
    }

    public Boolean getEAPFASTProvisionPACAnonymously() {
        return EAPFASTProvisionPACAnonymously;
    }

    public void setEAPFASTProvisionPACAnonymously(Boolean EAPFASTProvisionPACAnonymously) {
        this.EAPFASTProvisionPACAnonymously = EAPFASTProvisionPACAnonymously;
    }

    public Integer getEAPSIMNumberOfRANDs() {
        return EAPSIMNumberOfRANDs;
    }

    public void setEAPSIMNumberOfRANDs(Integer EAPSIMNumberOfRANDs) {
        this.EAPSIMNumberOfRANDs = EAPSIMNumberOfRANDs;
    }
}
